# Method Stdio.UDP()->read()

Method read

  ``mapping`(`string`:`int`|`string`) read()`
  ``mapping`(`string`:`int`|`string`) read(`int` `flag`)`

Description

  Read from the UDP socket.

  Flag `flag` is a bitfield, 1 for out of band data and 2 for peek

Returns

  mapping(string:int|string) in the form ([ "data" : string received data "ip" : string received from this ip "port" : int ...and this port ])

See also

  set_read_callback(), MSG_OOB, MSG_PEEK